it-swarm.dev

Plug-in Eclipse WTP senza adattatore Apache Tomcat

Sto usando Galileo Eclipse, ho scaricato il plugin WTP, ma nessun plugin Apache Tomcat quando provo ad aggiungere il server Tomcat ...

qualche idea veloce?

45
d-man

In WTP è possibile scaricare plug-in per diversi server Web o server di applicazioni Java EE.

Per farlo, vai a Window => Preferences => Server => Runtime Environments => Add... Seleziona i server con i quali vuoi lavorare.

Tuttavia, come ha sottolineato Raghuram, probabilmente starai meglio iniziando dagli sviluppatori di Eclipse per Java EE. Questo perché WTP è costruito su molti plugin di "infrastruttura" come EMF e le dipendenze sono a volte traballanti perché tutti questi plugin si evolvono in modo parallelo ... e il più delle volte, cambiano le API ;-)

8
Alain Pannetier

A seconda della modalità di installazione, è possibile che siano state ignorate le funzioni "JST Server Adapters" (org.Eclipse.jst.server_adapters.ext) e "Estensioni adattatori server JST" che in realtà contengono il supporto di Apache Tomcat.

136
nitind

Ho incontrato lo stesso problema prima ma il mio Eclipse è Indigo e ho anche scaricato WTP ... oppure no Tomcat trovato. Tuttavia, ho risolto facendo quanto segue:

  1. Vai su Aiuto> Installa nuovo software ...
  2. Dall'opzione Con, seleziona "Indigo - http://download.Eclipse.org/releases/Indigo "
  3. Dall'elenco, selezionare "Web, XML e Java EE Development"
  4. Quindi selezionare "JST Server Adapters"

Dopo averlo installato, quando aggiungo il nuovo server, posso vedere Tomcat disponibile per la selezione. :) spero che questo aiuti anche ~

32
sibley

Come affermato da Akavel, assicurati che siano installate anche le estensioni " JST Server Adapters ". Tomcat non si è presentato per me finché non ho installato quel plugin.

19
ccallendar

Ho avuto lo stesso problema. Ho usato la soluzione @sibley ma mancavano Tomcat8.5 e oltre. Per correggere che ho dovuto fare clic su Guida> Controlla aggiornamenti. Questo porterà tutti i Tomcat mancanti

0
onlyme